Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Interface Context

All Known Implementing Classes:
  ApplicationContext, BasicContext, BusinessProcessContext, EventContext, PageContext, ServerConversationContext, SessionContext

    public interface Context

API for accessing named components and named values that are currently associated with a particular seam scope.

Author:
  Gavin King

Method Summary
`void` | `flush()` Force synchronization to the underlying state store.
`Object` | `get(Class clazz)` Get a component instance, by its component name, as determined by the @Name annotation value.
`Object` | `get(String name)` Get a value by name.
`String[]` | `getNames()` Get all names defined in the context.
`ScopeType` | `getType()` Get the scope that this context object is associated with,
`boolean` | `isSet(String name)` Is the value set?
`void` | `remove(String name)` Unset a value.
`void` | `set(String name, Object value)` Set a value.

Method Detail

### get

    Object get(String name)

  Get a value by name.

### get

    Object get(Class clazz)

  Get a component instance, by its component name, as determined by the @Name annotation value.

### set

    void set(String name,
             Object value)

  Set a value.

### remove

    void remove(String name)

  Unset a value.

### isSet

    boolean isSet(String name)

  Is the value set?

### getNames

    String[] getNames()

  Get all names defined in the context.

### flush

    void flush()

  Force synchronization to the underlying state store. Some implementations of Context "persist" state back to the underlying store synchronously, others asynchronously. This method is usually called by Seam, when necessary.

### getType

    ScopeType getType()

  Get the scope that this context object is associated with,

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.